#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pathlib

import bioio_base as biob
import pytest

from bioio import BioImage


def test_bioimage_with_text_file(sample_text_file: pathlib.Path) -> None:
    with pytest.raises(biob.exceptions.UnsupportedFileFormatError):
        BioImage(sample_text_file)


def test_bioimage_with_missing_file(tmp_path: pathlib.Path) -> None:
    # Construct full filepath
    uri = tmp_path / "does-not-exist-klafjjksdafkjl.bad"
    with pytest.raises(FileNotFoundError):
        BioImage(uri)
